# MultipleSourceException constructor

MultipleSourceException(

1. String name,
2. List<String> conflicts

)

Creates an exception for multiple class definitions

Parameters:

- `name`: The duplicated class name
- `conflicts`: List of source URIs where the class appears

## Implementation

    MultipleSourceException(this.name, this.conflicts) : super(
    '''
    Multiple classes named '$name' at ${conflicts.join('\n')}. In order to perform better type resolution,
    JetLeaf provides alternative solution to dart's limitations. Use `@Source($name, 'package:foo/bar.dart')`
    on any of the conflicting classes.
    ''',
    );